Bug 736691 - Dialogs fill up all available width in IE7
Summary: Dialogs fill up all available width in IE7
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: User Interface
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: Mark Proctor
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
: 803721 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:32 UTC by Jiri Locker
Modified: 2018-11-26 17:06 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
DialogsSize.png (52.12 KB, image/png)
2011-09-08 12:32 UTC, Jiri Locker
no flags Details

Description Jiri Locker 2011-09-08 12:32:52 UTC
Created attachment 522106 [details]
DialogsSize.png

Description of problem:
All Guvnor dialogs take 100% screen width. It just looks funny.

Version-Release number of selected component (if applicable):
BRMS 5.2.0 ER3

How reproducible:
always in IE7

Steps to Reproduce:
1. open http://localhost:8080/jboss-brms/ log in dialog has 100% width
2. login and try creating a rule - 'New Rule' dialog has 100% width, input elements are scattered around
  
Actual results:
all dialogs take 100% screen width in IE7

Expected results:
dialogs should only as much width as needed and should look the same as in other browsers (Firefox, Safari)

Additional info:
see screenshot

Comment 1 Prakash Aradhya 2011-09-09 02:50:27 UTC
It is indeed annoying behaviour.  If the fix is not complex, please fix it in this release.  Although it is not a release stopper, we should make an attempt to fix it.

Comment 2 Lukáš Petrovický 2011-09-22 11:44:46 UTC
This bug was not on an approved 5.2.0 blocker list and thus shouldn't have been fixed at this point.

Given that the following discussion suggests that the bug fix is not entirely safe, I suggest the commit be reverted.
https://github.com/droolsjbpm/guvnor/commit/2706c613247f46cce24aebd9cbb21de17c65c034#comments

Comment 3 Jervis Liu 2011-11-23 08:02:30 UTC
The problem has been fixed on 5.3.x branch.

Comment 4 Lukáš Petrovický 2011-12-21 13:34:22 UTC
BRMS 5.3 isn't supported on IE7 anymore. Anyway, this has been fixed.

Comment 6 Lukáš Petrovický 2012-03-15 14:26:11 UTC
*** Bug 803721 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.